Bug 199538 - MediaStreamTrackPrivate should always call readyStateChanged on the main thread
Summary: MediaStreamTrackPrivate should always call readyStateChanged on the main thread
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-05 17:39 PDT by youenn fablet
Modified: 2019-07-08 10:46 PDT (History)
6 users (show)

See Also:


Attachments
Patch (12.99 KB, patch)
2019-07-07 15:52 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews215 for win-future (13.46 MB, application/zip)
2019-07-07 17:17 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-07-05 17:39:17 PDT
MediaStreamTrackPrivate should always call readyStateChanged on the main thread
Comment 1 Radar WebKit Bug Importer 2019-07-05 17:39:41 PDT
<rdar://problem/52709106>
Comment 2 youenn fablet 2019-07-07 15:52:30 PDT
Created attachment 373605 [details]
Patch
Comment 3 Build Bot 2019-07-07 17:17:46 PDT
Comment on attachment 373605 [details]
Patch

Attachment 373605 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12684467

New failing tests:
fast/block/float/float-with-anonymous-previous-sibling.html
Comment 4 Build Bot 2019-07-07 17:17:48 PDT
Created attachment 373608 [details]
Archive of layout-test-results from ews215 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews215  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 5 youenn fablet 2019-07-07 19:07:45 PDT
Comment on attachment 373605 [details]
Patch

win bot failure is unrelated
Comment 6 Eric Carlson 2019-07-08 07:05:07 PDT
Comment on attachment 373605 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373605&action=review

> Source/WebCore/platform/mediastream/RealtimeMediaSource.h:71
>      , public CanMakeWeakPtr<RealtimeMediaSource>

Is this still needed? If it isn't used in any of the derived classes, the only use in this class was in scheduleDeferredTask.
Comment 7 youenn fablet 2019-07-08 09:50:01 PDT
(In reply to Eric Carlson from comment #6)
> Comment on attachment 373605 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=373605&action=review
> 
> > Source/WebCore/platform/mediastream/RealtimeMediaSource.h:71
> >      , public CanMakeWeakPtr<RealtimeMediaSource>
> 
> Is this still needed? If it isn't used in any of the derived classes, the
> only use in this class was in scheduleDeferredTask.

It is needed right now by ScreenDisplayCaptureSourceMac.
We might be able to change the implementation though to remove it.
Comment 8 WebKit Commit Bot 2019-07-08 10:46:33 PDT
Comment on attachment 373605 [details]
Patch

Clearing flags on attachment: 373605

Committed r247211: <https://trac.webkit.org/changeset/247211>
Comment 9 WebKit Commit Bot 2019-07-08 10:46:35 PDT
All reviewed patches have been landed.  Closing bug.